---
title: Create single-use token
slug: reference/create-single-use-token
docTags: 
createdAt: 2026-08-23T06:01:06.452Z
---

{
  "id": "p0_O3NMh7orSKKLKCphHR",
  "type": "api-oas-v2",
  "data": {
    "method": "POST",
    "url": "https://pci-tokenization-sandbox.checkouttools.com/v1/tokenization/tokenize-single-use",
    "servers": [
      {
        "url": "https://pci-tokenization-sandbox.checkouttools.com/v1/tokenization/tokenize-single-use"
      }
    ],
    "name": "Create single-use token",
    "description": "",
    "contentType": "application/json",
    "request": {
      "pathParameters": [],
      "headerParameters": [
        {
          "name": "accept",
          "type": "string",
          "kind": "optional",
          "description": "Generated from available response content types",
          "enum": [
            "application/json"
          ],
          "default": "application/json"
        },
        {
          "kind": "optional",
          "name": "authorization",
          "type": "string",
          "example": "Bearer eyJhbGciOiJIUzI1NiIsInR5cCI6IkpXVCJ9.eyJ0ZW5hbnRJZCI6InRlc3QiLCJpYXQiOjE1MTYyMzkwMjJ9.5TNt1_8bcHhyE4b6cc53M5tD6DgogzQWKVI94cddhT0",
          "description": ""
        }
      ],
      "queryParameters": [],
      "bodyDataParameters": [
        {
          "kind": "optional",
          "name": "body",
          "type": "object",
          "description": "",
          "customType": "TokenizeSingleUsePayload",
          "schema": [],
          "modelRef": "#/components/schemas/TokenizeSingleUsePayload",
          "complexItems": [
            {
              "name": "object",
              "schema": [
                {
                  "name": "cardNumber",
                  "kind": "required",
                  "type": "string",
                  "description": "",
                  "minLength": 10,
                  "maxLength": 19
                },
                {
                  "name": "extra",
                  "kind": "required",
                  "type": "map",
                  "description": "",
                  "example": "",
                  "schema": []
                },
                {
                  "name": "tokenAliases",
                  "kind": "required",
                  "type": "map",
                  "description": "",
                  "example": "",
                  "schema": []
                },
                {
                  "name": "customerId",
                  "kind": "required",
                  "type": "object",
                  "description": "",
                  "schema": []
                },
                {
                  "name": "expirationMonth",
                  "kind": "required",
                  "type": "integer",
                  "description": "",
                  "minimum": 1,
                  "maximum": 12
                },
                {
                  "name": "expirationYear",
                  "kind": "required",
                  "type": "integer",
                  "description": "",
                  "minimum": 2000,
                  "maximum": 2125
                },
                {
                  "name": "cardHolderName",
                  "kind": "required",
                  "type": "string",
                  "description": "",
                  "minLength": 1,
                  "maxLength": 100
                },
                {
                  "name": "cvc",
                  "kind": "required",
                  "type": "object",
                  "description": "",
                  "schema": []
                },
                {
                  "name": "siteId",
                  "kind": "optional",
                  "type": "object",
                  "description": "",
                  "complexType": "anyOf",
                  "complexItems": [],
                  "schema": []
                }
              ],
              "modelRef": "#/components/schemas/TokenizeFullPaymentMethodWithCVVPayload",
              "customType": "TokenizeFullPaymentMethodWithCVVPayload"
            },
            {
              "name": "object",
              "schema": [
                {
                  "name": "cvc",
                  "kind": "required",
                  "type": "string",
                  "description": "",
                  "minLength": 3,
                  "maxLength": 4
                },
                {
                  "name": "customerId",
                  "kind": "optional",
                  "type": "object",
                  "description": "",
                  "complexType": "anyOf",
                  "complexItems": [],
                  "schema": []
                },
                {
                  "name": "tokenAliases",
                  "kind": "optional",
                  "type": "object",
                  "description": "",
                  "complexType": "anyOf",
                  "complexItems": [],
                  "schema": []
                },
                {
                  "name": "siteId",
                  "kind": "optional",
                  "type": "object",
                  "description": "",
                  "complexType": "anyOf",
                  "complexItems": [],
                  "schema": []
                }
              ],
              "modelRef": "#/components/schemas/TokenizeCVVOnlyPayload",
              "customType": "TokenizeCVVOnlyPayload"
            }
          ],
          "complexType": "anyOf",
          "isExpanded": true
        }
      ],
      "formDataParameters": [],
      "oAuthParameters": [
        {
          "id": "http",
          "name": "http",
          "kind": "optional",
          "type": "http",
          "description": "<p>site_id</p><div></div><p></p>",
          "scheme": "basic"
        }
      ],
      "cookieParameters": []
    },
    "responses": [
      {
        "statusCode": "200",
        "description": "Default Response",
        "jsonExample": "",
        "isExpanded": true,
        "schema": [
          {
            "kind": "optional",
            "type": "object",
            "description": "",
            "customType": "TokenPayload",
            "schema": [
              {
                "name": "token",
                "kind": "required",
                "type": "string",
                "description": ""
              },
              {
                "name": "networkTokenStatus",
                "kind": "optional",
                "type": "object",
                "description": "",
                "modelRef": "#/components/schemas/NetworkTokenStatus",
                "customType": "NetworkTokenStatus",
                "schema": [
                  {
                    "name": "created",
                    "kind": "required",
                    "type": "boolean",
                    "description": ""
                  },
                  {
                    "name": "reason",
                    "kind": "optional",
                    "type": "object",
                    "description": "",
                    "example": "",
                    "schema": [
                      {
                        "name": "code",
                        "kind": "required",
                        "type": "object",
                        "description": "",
                        "complexType": "anyOf",
                        "complexItems": [],
                        "schema": []
                      },
                      {
                        "name": "message",
                        "kind": "required",
                        "type": "string",
                        "description": ""
                      }
                    ]
                  }
                ]
              },
              {
                "name": "cardInfo",
                "kind": "optional",
                "type": "object",
                "description": "",
                "modelRef": "#/components/schemas/NonPciBasicCardInfo",
                "customType": "NonPciBasicCardInfo",
                "schema": [
                  {
                    "name": "bin",
                    "kind": "required",
                    "type": "string",
                    "description": "",
                    "minLength": 6,
                    "maxLength": 8
                  },
                  {
                    "name": "lastFourDigits",
                    "kind": "required",
                    "type": "string",
                    "description": "",
                    "minLength": 4,
                    "maxLength": 4
                  },
                  {
                    "name": "cardBrand",
                    "kind": "required",
                    "type": "string",
                    "description": ""
                  },
                  {
                    "name": "expirationMonth",
                    "kind": "required",
                    "type": "integer",
                    "description": "",
                    "minimum": 1,
                    "maximum": 12
                  },
                  {
                    "name": "expirationYear",
                    "kind": "required",
                    "type": "integer",
                    "description": "",
                    "minimum": 2000,
                    "maximum": 2125
                  }
                ]
              }
            ],
            "modelRef": "#/components/schemas/TokenPayload",
            "isExpanded": true
          }
        ]
      },
      {
        "statusCode": "400",
        "description": "Default Response",
        "jsonExample": "",
        "isExpanded": true,
        "schema": [
          {
            "kind": "optional",
            "type": "object",
            "description": "",
            "customType": "TokenizationErrorResponse",
            "schema": [
              {
                "name": "message",
                "kind": "required",
                "type": "string",
                "description": ""
              }
            ],
            "modelRef": "#/components/schemas/TokenizationErrorResponse",
            "isExpanded": true
          }
        ]
      }
    ],
    "hasXCodeSamples": false,
    "examples": {
      "languages": [
        {
          "id": "37bDoZ6TQ6CW2EJi1Eg1S",
          "language": "curl",
          "label": "cURL",
          "code": "curl --request POST \\\n     --url https://pci-tokenization-sandbox.checkouttools.com/v1/tokenization/tokenize-single-use \\\n     --header 'accept: application/json' \\\n     --header 'content-type: application/json' \\\n     --data '{\n     \"cardNumber\": \"\",\n     \"extra\": \"\",\n     \"tokenAliases\": \"\",\n     \"customerId\": \"\",\n     \"expirationMonth\": \"\",\n     \"expirationYear\": \"\",\n     \"cardHolderName\": \"\",\n     \"cvc\": \"\"\n     }'"
        },
        {
          "id": "kL1twjF9GooQ11tF6XmBP",
          "language": "javascript",
          "label": "javascript",
          "code": "var myHeaders = new Headers();\nmyHeaders.append(\"accept\", \"application/json\");\nmyHeaders.append(\"content-type\", \"application/json\");\n\nvar raw = JSON.stringify({\n   \"cardNumber\": \"\",\n   \"extra\": \"\",\n   \"tokenAliases\": \"\",\n   \"customerId\": \"\",\n   \"expirationMonth\": \"\",\n   \"expirationYear\": \"\",\n   \"cardHolderName\": \"\",\n   \"cvc\": \"\"\n});\n\nvar requestOptions = {\n   method: 'POST',\n   headers: myHeaders,\n   body: raw,\n   redirect: 'follow'\n};\n\nfetch(\"https://pci-tokenization-sandbox.checkouttools.com/v1/tokenization/tokenize-single-use\", requestOptions)\n   .then(response => response.text())\n   .then(result => console.log(result))\n   .catch(error => console.log('error', error));"
        },
        {
          "id": "59pGcWsj7FJ7Az1jGbaxb",
          "language": "ruby",
          "label": "Ruby",
          "code": "require \"uri\"\nrequire \"json\"\nrequire \"net/http\"\n\nurl = URI(\"https://pci-tokenization-sandbox.checkouttools.com/v1/tokenization/tokenize-single-use\")\n\nhttps = Net::HTTP.new(url.host, url.port)\nhttps.use_ssl = true\n\nrequest = Net::HTTP::Post.new(url)\nrequest[\"accept\"] = \"application/json\"\nrequest[\"content-type\"] = \"application/json\"\nrequest.body = JSON.dump({\n   \"cardNumber\": \"\",\n   \"extra\": \"\",\n   \"tokenAliases\": \"\",\n   \"customerId\": \"\",\n   \"expirationMonth\": \"\",\n   \"expirationYear\": \"\",\n   \"cardHolderName\": \"\",\n   \"cvc\": \"\"\n})\n\nresponse = https.request(request)\nputs response.read_body\n"
        },
        {
          "id": "2hW7-yvN-WMbqFzCrkjeJ",
          "language": "python",
          "label": "Python",
          "code": "import requests\nimport json\n\nurl = \"https://pci-tokenization-sandbox.checkouttools.com/v1/tokenization/tokenize-single-use\"\n\npayload = json.dumps({\n   \"cardNumber\": \"\",\n   \"extra\": \"\",\n   \"tokenAliases\": \"\",\n   \"customerId\": \"\",\n   \"expirationMonth\": \"\",\n   \"expirationYear\": \"\",\n   \"cardHolderName\": \"\",\n   \"cvc\": \"\"\n})\nheaders = {\n   'accept': 'application/json',\n   'content-type': 'application/json'\n}\n\nresponse = requests.request(\"POST\", url, headers=headers, data=payload)\n\nprint(response.text)\n"
        }
      ],
      "selectedLanguageId": "37bDoZ6TQ6CW2EJi1Eg1S"
    },
    "results": {
      "languages": [
        {
          "id": "DaNUr-lDEWNy0aMb7klia",
          "language": "200",
          "code": "// Default Response\n{\n  \"token\": \"\",\n  \"networkTokenStatus\": {\n    \"created\": false,\n    \"reason\": {\n      \"code\": {},\n      \"message\": \"\"\n    }\n  },\n  \"cardInfo\": {\n    \"bin\": \"\",\n    \"lastFourDigits\": \"\",\n    \"cardBrand\": \"\",\n    \"expirationMonth\": 0,\n    \"expirationYear\": 0\n  }\n}"
        },
        {
          "id": "KP1aqK_cUoBpKikbOkm0P",
          "language": "400",
          "code": "// Default Response\n{\n  \"message\": \"\"\n}"
        }
      ],
      "selectedLanguageId": "DaNUr-lDEWNy0aMb7klia"
    }
  },
  "children": [
    {
      "text": ""
    }
  ]
}